---
# Disable local FW caching when performing PROCESSOR "readiness" test
# This file is referenced by VALUES_FILE variable in CI pipeline schedule

# Apart from CACHE_DIR, these values are copied from psi-low.values.yaml

# "_proxy" key is never used, we're just defining an anchor
_proxy: &low_psi_proxy "http://delphoenix.atnf.csiro.au:8888"

global:
  environment_variables:
    # Various internet-using things need to go via our proxy
    - name: https_proxy
      value: *low_psi_proxy
    - name: http_proxy
      value: *low_psi_proxy
    # ------ Begin Processor-specific environment variables.
    # We cannot put these under ska-low-cbf-proc.global.environment_variables
    # because this root .global.environment_variables over-rules that.
    # Most values are copied from ska-low-cbf-proc's test-parent chart
    # - if we don't put them here, they do not appear to the Processor at all
    - name: FPGA_TYPE
      # used to select firmware files to download, must align with resource type!
      value: "u55c"
    - name: FPGA_POST_FW_LOAD_DELAY
      value: 0.1  # seconds
    - name: FPGA_XRT_TIMEOUT
      value: 15  # milliseconds
    - name: CACHE_DIR
      value: ""  # No cache!
    - name: INITIAL_ADMINMODE
      value: "online"  # any ska adminmode (as text, case ignored)
    - name: ADMIN_CHANGE_WHILE_USED
      value: "Allow"  # "Allow" or "Deny" (case ignored)
    - name: STN_DELAY_SIGN
      value: "Pos"  # "Pos" or "Neg" (case ignored)
    - name: PST_DELAY_SIGN
      value: "Neg"
    - name: PSS_DELAY_SIGN
      value: "Neg"
    - name: PST_DELAY_FORMAT
      value: "Diff"  # "Diff" or "Full" (case ignored)
    - name: PSS_DELAY_FORMAT
      value: "Diff"
    # ------ End Processor-specific environment variables.
...
